
# arithProgs.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": arithmetic progressions, of primes
# https://en.wikipedia.org/wiki/Primes_in_arithmetic_progression
 
import pUtils


def countPrimeProg(start, step):
  print("\nstart, step", start, step)
  count = 0
  while True:
    val = start + step*count
    if pUtils.isPrime(val):
      print(val, end=' ')
    else:
      print("; count =", count)
      return count
    count += 1


countPrimeProg(3, 4)  #  7
countPrimeProg(199, 210)  #  10
countPrimeProg(60858179, 2310) # 11
countPrimeProg(115453391, 4144140)  # 15
countPrimeProg(11410337850553, 4609098694200) # 22
