
# consecInts.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": consecutive integer sequence
# https://mathworld.wolfram.com/ConsecutiveNumberSequences.html
# inputs: 10   100

import pUtils

n = int(input('n? '))
seq = [str(i+1) for i in range(n)]
nums = [ int(''.join(seq[:j])) for j in range(1,n+1)]
print("nums", nums)

hasPrime = False
for v in nums:
  if pUtils.isPrime(v):
    print("prime", v)
    hasPrime = True
if not hasPrime:
  print("No primes found in the list")