
# cullen.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": Cullen primes
# https://en.wikipedia.org/wiki/Cullen_number

import pUtils

limit = 150
print(f"Generate Cullen primes using 1 to {limit}:")
for n in range(1, limit+1):
  cNum = n * 2**n + 1
  if pUtils.isPrime(cNum):
    print(f" ({n}, {cNum})")


