
# palidromic.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": palidromic primes
# https://en.wikipedia.org/wiki/Palindromic_prime

import pUtils

def reverse(n):
  return int(str(n)[::-1])


limit = 1000
print(f"Palidromic primes < {limit}:")
for i in range(2, limit):
  if pUtils.isPrime(i) and (i == reverse(i)):
    print(i, end=' ')
print()