
# wieferich.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": Wieferich primes
# https://en.wikipedia.org/wiki/Wieferich_prime
# https://oeis.org/A001220

import pUtils

def isWieferich(p):
  return pow(2, p-1, p**2) == 1


limit = 10000
print(f"Wieferich primes < {limit}:")
for p in range(2, limit):
  if pUtils.isPrime(p) and isWieferich(p):
    print(p, end=' ')
print()
