
# concatPrimes.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": concatenation of primes
# https://en.wikipedia.org/wiki/Copeland%E2%80%93Erd%C5%91s_constant
# Also see champernowne.py
# input: 54

import pUtils

def copelandErdos(n):  # base 10
  prims = pUtils.primes(2*n)  # gen extras
  s = ''.join(str(p) for p in prims)
  return "0." + s[:n]  # cut to n decimal places


n = int(input("no. decimal places n? "))
ce = copelandErdos(n)
print(ce)




