
# emirps.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": emirp
# input: 100
'''
An emirp is a prime number that gives a different 
prime when the order of the digits is reversed. 
Palindromic primes are not included. 

emirps: 13, 17, 31, 37, 71, 73, 79, 97, ...
'''


import pUtils


def isEmirp(n):
  rev = int( str(n)[::-1] )
  return (n != rev) and \
         pUtils.isPrime(n) and pUtils.isPrime(rev) 


n = int(input("n? "))
print(*[i for i in range(2,n) if isEmirp(i)])
