
# factSums.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": factorial sums

import math
import pUtils


def factSum(n):
  sign = -1
  tot = math.factorial(n)
  for i in range(n-1, 0, -1):
    tot += sign* math.factorial(i)
    sign *= -1
  return tot


limit = 20
print("Factorial alt sums for n = 3 to", limit)
for n in range(3, limit+1):
  tot = factSum(n)
  if pUtils.isPrime(tot):
    print(f"{n}! sum = {tot}; prime")
  else:
    print(f"{n}! sum = {tot}; NOT prime")
