
# liouville.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": Liouville, Joseph (1809-1882)
# inputs: 10  24

import math
import pUtils


def numDivisors_of_divisors(n):
  divs = pUtils.divisors(n)
  return [len( pUtils.divisors(d)) for d in divs]


n = int(input("n? "))
numDoD = numDivisors_of_divisors(n)
print("Number of divisors of each divisor:", numDoD)
sqrSumList = sum(numDoD)**2
sumCubeList = sum([n**3 for n in numDoD])
print(" Squared sum:", sqrSumList)
print("Sum of cubes:", sumCubeList)
