
# niven.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": Niven numbers
# https://en.wikipedia.org/wiki/Harshad_number
# https://oeis.org/A005349

def sumDigits(n):
  return sum([int(x) for x in str(n)])

limit = 250
print(f"Niven numbers < {limit}:")
nivens = [n for n in range(1, limit) if not n % sumDigits(n)]
print(*nivens)
