
# perfectMult.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": perfect, multiply
# https://en.wikipedia.org/wiki/Multiply_perfect_number

import pUtils

#  perfect P2
print("Perfects:")
for i in range(1, 1000):
  if pUtils.sigma(i) == 2*i:
    print(i, pUtils.factorize(i))

# triply perfect P3
print("\nP3s:")
for i in range(1, 1000):
  if pUtils.sigma(i) == 3*i:
    print(i, pUtils.factorize(i))

print("\nP4s:")
for i in range(1, 50000):
  if pUtils.sigma(i) == 4*i:
    print(i, pUtils.factorize(i))

n = 154345556085770649600
print("\nIs", n, "P6?")
if pUtils.sigma(n) == 6*n:
  print("True", pUtils.factorize(n))
else:
  print("False")
