
# rePrime.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# https://illya.sh/the-codeumentary-blog/regular-expression-check-if-number-is-prime/
'''
See the video:

"How on Earth does ^.?$|^(..+?)\1+$ produce primes?"
Stand-up Maths
https://www.youtube.com/watch?v=5vbk0TwkokM
'''


import re

primeStr = r'^.?$|^(..+?)\1+$'


def isPrimeRE(n):
  return not re.match(primeStr, '1'*n)
  

print("------------ Debugging output -------------")
pattern = re.compile(primeStr, re.DEBUG)
print(pattern)
print("-------------------------")
print()

n = int(input("n? "))
print( isPrimeRE(n))


