
# rhonda.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": Rhonda numbers
# https://oeis.org/A099542
# https://rosettacode.org/wiki/Rhonda_numbers

import math
import pUtils


limit = 30000
rNums = []
for n in range(4, limit+1):
  sf = sum( pUtils.factorizeList(n))  
                     # include multiplicity
  pd = math.prod( [int(digit) for digit in str(n)])
  if (pd == 10*sf):  # using base 10
    rNums.append(n)
print(*rNums)  
