
# semiprimes.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": semiprimes
# https://mathworld.wolfram.com/Semiprime.html
# https://oeis.org/A001358

import pUtils

count = 0
for i in range(4, 201):
  if len(pUtils.factorizeList(i)) == 2:
    print(i, end=' ')
    count += 1
print()
print("count:", count)


# distinct pairs
print("\nWhen factors must be distinct:")
count = 0
for i in range(4, 201):
  if len(pUtils.primeFactors(i)) == 2:
    print(i, end=' ')
    count += 1
print()
print("count:", count)
