
# sophie.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": Sophie Germain primes
# https://en.wikipedia.org/wiki/Safe_and_Sophie_Germain_primes

import pUtils

limit = 1000
print(f"Sophie Germain primes < {limit}:")
ps = pUtils.primes(limit)
for p in ps:
  if pUtils.isPrime(2*p+1):
    print(p, end=' ')
print()
