
# triangle.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": triangular numbers
# https://en.wikipedia.org/wiki/Triangular_number

# input: 5 or 12  or 31

def printTriangle(n):
  tot = 0
  offset = n
  for i in range(1, n+1):
    spaces = ' '*(offset-i)
    stars = '* '*i
    tot += i
    print(f"{tot:3d} ", spaces+stars)
  return tot


n = int(input("n? "))
printTriangle(n)
