
# wagstaff.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# https://en.wikipedia.org/wiki/Wagstaff_prime
# https://rosettacode.org/wiki/Wagstaff_primes

import pUtils

limit = 11
pri, wcount = 1, 0
print(f"idx  exp  wagstaff")
while wcount < limit:
  pri += 2
  if pUtils.isPrime(pri):
    wag = (2**pri + 1) // 3
    if pUtils.isPrime(wag):
      wcount += 1
      print(f'{wcount:2d}   {pri:2d}   {wag}')
