
# woodall.py
# Andrew Davison, ad@coe.psu.ac.th, Nov. 2024
# David Wells - "Prime Numbers": Woodall primes
# https://en.wikipedia.org/wiki/Woodall_number

import pUtils

def isWoodallPrime(n):
  return pUtils.isPrimeMR(n * 2**n-1)

limit = 600
print(f"Woodall primes <= {limit}:") 
for n in range(1, limit+1):
  if isWoodallPrime(n):
    print(n, end=' ')
print()

